org.apache.cayenne.configuration.rop.client

## Class ClientRuntime

- java.lang.Object
- - org.apache.cayenne.configuration.CayenneRuntime
  - - org.apache.cayenne.configuration.rop.client.ClientRuntime

- Direct Known Subclasses:
    ClientLocalRuntime

      public class ClientRuntime
      extends CayenneRuntime

  A user application entry point to Cayenne stack on the ROP client.
  Since:
    3.1, 4.0 preferred way to create this class is with `builder()` method.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_SERVER_CHANNEL_KEY`

    - ### Fields inherited from class org.apache.cayenne.configuration.CayenneRuntime

      `injector, modules, threadInjector`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ClientRuntime(Collection<Module> modules)`
    `` | `ClientRuntime(Map<String,String> properties, Collection<Module> extraModules)` Deprecated. since 4.0, use `builder()` instead.
    `` | `ClientRuntime(Map<String,String> properties, Module... extraModules)` Deprecated. since 4.0, use `builder()` instead.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientRuntimeBuilder` | `builder()` Creates new builder of client runtime
    `ClientConnection` | `getConnection()`

    - ### Methods inherited from class org.apache.cayenne.configuration.CayenneRuntime

      `bindThreadInjector, getChannel, getContext, getContext, getInjector, getModules, getThreadInjector, newContext, newContext, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_SERVER_CHANNEL_KEY

          public static final String CLIENT_SERVER_CHANNEL_KEY

      Since:
        4.0 moved from deprecated ClientLocalRuntime class
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientRuntime

          @Deprecated
          public ClientRuntime(Map<String,String> properties,
                                            Collection<Module> extraModules)

      Deprecated. since 4.0, use `builder()` instead.
      Creates a client runtime configuring it with a standard set of services contained in `ClientModule`. CayenneClientModule is created based on a set of properties that contain things like connection information, etc. Recognized property keys are defined in `ClientModule`. An optional array of extra modules may contain service overrides and/or user services.

    - #### ClientRuntime

          @Deprecated
          public ClientRuntime(Map<String,String> properties,
                                            Module... extraModules)

      Deprecated. since 4.0, use `builder()` instead.
      Creates a client runtime configuring it with a standard set of services contained in `ClientModule`. CayenneClientModule is created based on a set of properties that contain things like connection information, etc. Recognized property keys are defined in `ClientModule`. An optional collection of extra modules may contain service overrides and/or user services.

    - #### ClientRuntime

          protected ClientRuntime(Collection<Module> modules)

      Since:
        4.0

  - ### Method Detail

    - #### builder

          public static ClientRuntimeBuilder builder()

      Creates new builder of client runtime
      Returns:
        client runtime builder
      Since:
        4.0

    - #### getConnection

          public ClientConnection getConnection()

Copyright © 2001–2018 Apache Cayenne. All rights reserved.